XmLGridSetStringsPos(3X)

NAME
XmLGridSetStringsPos - set strings in a Grid at a specified location

SYNTAX
int XmLGridSetStringsPos(widget, rowType, row, columnType, column, data)
Widget widget;
unsigned char rowType;
int row;
unsigned char columnType;
int column;
char *data;

ARGUMENTS

widget
    Grid widget ID

rowType
    type of first row location

row location of first row

columnType
    type of first column location

column
    location of first column

data
    pointer to pipe-separated string data

DESCRIPTION
Sets cell strings in the Grid with the strings contained in data, starting at the row and column specified by the given rowType, row, columnType, and column. The string data should be in pipe-separated format where pipes signify the start of a new column and new-lines signify the start of new rows. The rows and columns set must exist at the time of this call.

RETURN VALUE
The number of cells which had values set by this function.

SEE ALSO
XmLGridSetStrings(3X)